Subject: Re: Bug: Wrong text file type from CVS under Perl?
From: "Gerrit P. Haase" <[email-masked]>
To: "Peter Andersen" <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Apr 2002 22:30:05 +0200

Hallo Peter,

Am 2002-04-10 um 14:55 schriebst du:

> I have set Default Text File Type to UNIX.
> This works fine if I check out a cvs repository (via ssh to a UNIX machine,
> i.e. CVS_RSH is "ssh") directly from the bash shell:

Yep, me too:
$ set | grep CVS_RSH
CVS_RSH=ssh

> bash$ cvs get -d me@someunix:/path/to/repository foobar

> However, if I do this in some perl script, using system(), all files checked
> out ends up with a (windows-style) ^M at the end of each line:

> bash$ perl 'system "cvs get -d me\@someunix:/path/to/repository foobar';"

perl -e 'system "cvs -d:pserver:me\@someunix:/path/to/repository foobar checkout";'

which is the correct syntax works for me, sorry, cannot reproduce it.
I guess if you checkout the files with dos lineendings someone has
checked them in with dos lineendings.

> I don't know if this is a known bug?

No bug for me.

> Output from cygcheck is below.
[...]

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/